{ config, lib, pkgs, inputs, ... }:

let
  inherit (lib) mkEnableOption mkIf readFile;
in
{
  home-manager.users.moritz.programs.nixvim = {
    plugins.crates.enable = true;
    plugins.crates.lazyLoad.settings.event = [ "BufRead Cargo.toml" ];
  };
}
